<template>
  <div>
    <div style="display: flex;flex-direction: row;flex-wrap: wrap;justify-content: space-around;">
      <button v-for='(tab, index) in tabs'
        :key='tab.title'
        @click='selectTab(index)'>
        {{ tab.title }}
      </button>
    </div>
    <slot></slot>
  </div>
</template>

<script>
export default {
  name: 'Tabs',
  data () {
    return {
      selectedIndex: 0, // index de la tab seleccionada
      tabs: []         // todas las tabs
    }
  },
  created () {   // antes de mostrar las tabs
    this.tabs = this.$children // TODO:Buscar otra forma, en Vue3 ya no se usa
  },
  methods: {
    selectTab (i) {
      this.selectedIndex = i

      this.tabs.forEach((tab, index) => {
        tab.isActive = (index === i)
      })
    }
  }
}
</script>
